package
{
	import flash.display.Bitmap;
	import flash.geom.Point;
	import flash.ui.Mouse;
	
	import org.flixel.*;
	import org.flixel.FlxSprite;
	import org.flixel.FlxState;
	import org.flixel.FlxU;
	
	public class CutsceneState extends FlxState
	{
		[Embed(source = "data/cutscene.png")] public static var ImgBg:Class;
		
		public var texts:Array = [
				"The End"			
			];
		
		
		public var t:Number;
		public var t2:Number;
		public var scoretext:FlxText;
		
		override public function create() : void
		{
			FlxG.play(TitleState.SndLightBlip);

			var s:FlxSprite = new FlxSprite(0,0,null);
			s.createGraphic(FlxG.width,FlxG.height,0xff000000,false,"blackbg");
			this.add(s);
			t=0;
			
			text2 = new FlxText(00,100,FlxG.width,"");
			text2.alignment="left";
			text2.color=0xffff0000;
			text2.alignment="center";
			text2.size=16;
			this.add(text2);
			c=0;
			
			
			scoretext = new FlxText(0,0,FlxG.width,"");
			scoretext.color=0xffff0000;
			scoretext.text = "moves : "+FlxG.score.toString();
			scoretext.alignment="left";
			this.add(scoretext);
			starting=false;
			
			
			text = new FlxText(0,120,FlxG.width,"press space");
			text.alignment="center";
			text.color=0xffff0000;
			text.visible=false;
			this.add(text);			
			t2=0;
			
			super.create();		
		}
		
		public var rate:Number=0.05;
		public var c:int=0.2;
		public var text:FlxText;
		public var text2:FlxText;
		public var starting:Boolean=false;
		override public function update() : void
		{
			if (!starting)
			{
				t+=FlxG.elapsed;								
				
				t2+=FlxG.elapsed;								
				if (t>rate)
				{
					if (c<texts[0].length)
					{
						FlxG.play(TitleState.SndNoiseBlip);
					}
					t=0;
					c++;
					var s:String="";
					for (var i:int=0;i<(c-4) && i<texts[0].length;i++)
					{
						s+=texts[0].charAt(i);
					}
					
//					if (c>texts[0].length+20)
//					{
//						FlxG.state = new GameState();
//					}
					text2.text=s;
				}	
				if (c>=texts[0].length+8)
				{
					text.visible=t2<(20*rate)/2;
					if (t2>20*rate)
					{
						t2=0;
					}
	
					if (FlxG.keys.justPressed("SPACE"))
					{
						text2.text=texts[0];
						text.flicker(10);
						starting=true;
						t=0;
						FlxG.play(TitleState.SndLightBlip);
					}
				}
			}
			else
			{
				t+=FlxG.elapsed;
				if (t>1)
				{
					FlxG.state = new TitleState();
					FlxG.level=0;
				}
			}
			super.update();
		}
	}
}