package
{
	import flash.display.Bitmap;
	import flash.geom.Point;
	import flash.ui.Mouse;
	
	import org.flixel.*;
	import org.flixel.FlxSprite;
	import org.flixel.FlxState;
	import org.flixel.FlxU;
	
	public class TitleState extends FlxState
	{
		[Embed(source = "data/noiseblip.mp3")] public static var SndNoiseBlip:Class;
		[Embed(source = "data/heavyblip.mp3")] public static var SndHeavyBlip:Class;
		[Embed(source = "data/lightblip.mp3")] public static var SndLightBlip:Class;
		
		public var t:Number;
		override public function create() : void
		{			
			bgColor=0xffff0000;
			
			FlxG.score=0;
			//FlxG.playMusic(SndMusic,0.3);
			var s:FlxSprite = new FlxSprite(0,0,null);
			s.createGraphic(FlxG.width,FlxG.height,0xff000000);
			this.add(s);
			t=0;
			
			text = new FlxText(0,80,FlxG.width,"OCTAT");
			text.alignment="center";
			text.color=0xffff0000;
			text.size=32;
			this.add(text);		
			
			text = new FlxText(0,120,FlxG.width,"press space to start");
			text.alignment="center";
			text.color=0xffff0000;
			this.add(text);			
				
			
			super.create();		
		}

		public var rate:Number=2;
		public var text:FlxText;
		public var starting:Boolean=false;
		override public function update() : void
		{
			if (!starting)
			{
				t+=FlxG.elapsed;
			
				if (t>rate)
				{
					t=0;
				}	
				text.visible=t<rate/2;
				
				if (FlxG.keys.justPressed("SPACE"))
				{
					FlxG.play(TitleState.SndLightBlip);
					text.visible=true;
					text.flicker(1);
					starting=true;
					t=0;
				}
			}
			else
			{
				t+=FlxG.elapsed;
				if (t>1)
				{
					FlxG.state = new GameState();
				}
			}
			super.update();
		}
	}
}